Quikrbox - Api issues - Bug #9262

User --> Login --> Home Screen --> Orders --> Fashion Orders 1943 --> if users Return orders one by
one then the Refund amount should be showing on the user app only for accepted returned items,
instead of all Returned items.

02/08/2024 11:58 AM - Mohd Irfan

Status: Resolved Start date: 02/08/2024
Priority: High Due date:

Assignee: Irfan Varis % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Issue description:

if users Return orders one by one then the Refund amount should be showing on the user app only for accepted returned items,
instead of all Returned items

store id --> 7535064628
user id --> 7870691060

See attached screenshot:
Delivered

é

Order Id: 1943

\/

T shirt for mens
Red, medium

Rejected

2707 x1 = E707.0

Redtape men's jacket
Blue, medium

b Delivered

2986.49 x1 = 2986.49

Peter england multi-color full sleeves formal shirt
Blue, medium

i Accepted

21673.75x1 = 21673.75

N

ltem Total 25367.24
Applied GST Z966.1
Service Fee £53.67
Delivery Fee 20
Delivery Boy Tip 230
Discount Applied =259
Order Total £6318.01
Paid via Wallet - Z1324.53
Paid Online £4993.48
Total refund €2380.75

Download Invoice
History

#1 - 02/21/2024 11:58 AM - Deepak Biltoria

- Project changed from Quikrbox User app to Quikrbox - Api issues

the refund is coming from backend
this is the key which is used -> json['total_refund,

its updated in two api's

https://quickbox.digitalnoticeboard.biz/userapi/get-orders {"user_id":"1281"}
and

https://quickbox.digitalnoticeboard.biz/userapi/order-details ?order_id=1943

#2 - 02/29/2024 05:16 PM - Mohd Irfan

- Assignee changed from Deepak Biltoria to Irfan Varis

#3 - 03/04/2024 12:20 PM - Irfan Varis

When return order delivered to store then return amount will receive in both api's

#4 - 03/04/2024 12:21 PM - Irfan Varis

- Status changed from New to Resolved
